Bug 605719 - Review Request: mesa-demos - mesa opengl demos
Review Request: mesa-demos - mesa opengl demos
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 11:44 EDT by Jérôme Glisse
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 09:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jérôme Glisse 2010-06-18 11:48:18 EDT
Package name can be different, we already have a mesa-demos package but to reflect the change upstream we would like to split the demo from mesa. Maybe we can epoch current mesa-demos or depreciate current mesa-demos and rename this package to a new name like mesa-gl-demos
Comment 3 Adam Jackson 2010-07-13 15:49:38 EDT
Taking for review.
Comment 4 Adam Jackson 2010-07-13 16:15:28 EDT
* rpmlint output on src rpm is mostly harmless:

mesa-demos.src: W: no-version-in-last-changelog
mesa-demos.src: W: strange-permission mesad-git-snapshot.sh 0755L
mesa-demos.src:1: W: macro-in-comment %define
mesa-demos.src:16: W: macro-in-comment %{tarball}
mesa-demos.src:16: W: macro-in-comment %{gitdate}
mesa-demos.src:41: W: macro-in-comment %setup
mesa-demos.src:41: W: macro-in-comment %{tarball}
mesa-demos.src:41: W: macro-in-comment %{gitdate}
glx-utils.x86_64: W: no-version-in-last-changelog
glx-utils.x86_64: W: no-manual-page-for-binary glxgears
glx-utils.x86_64: W: no-manual-page-for-binary glxinfo
mesa-demos.x86_64: W: no-version-in-last-changelog
mesa-demos.x86_64: W: no-documentation
mesa-demos-debuginfo.x86_64: W: no-version-in-last-changelog
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Please do attach a version number to the changelog before building into koji.

* Naming matches upstream, guidelines, and existing mesa-demos package.
* Spec file correctly named
* Meets Packaging Guidelines.  Most of mesa-demos is under %{_libdir}/mesa to avoid conflicts with other packages, since there's a very large number of demos.  This matches xscreensaver, for example.
! Meets Licensing Guidelines, in that MIT is fine, but does not include the COPYING file in %doc.  Upstream doesn't appear to list one though.
* Builds in mock on x86_64.
* Owns the directory it creates.
* Does not install a desktop file, but should not; these are demo and debug tools, not real applications.
* Does not install manual pages, but upstream does not provide any.

Package is approved.  Please work with upstream to include an appropriate COPYING file in the source, but looks good otherwise.
Comment 5 Adam Jackson 2010-07-13 16:16:29 EDT
And, obviously, please disable mesa-demos from the main mesa package before importing this.
Comment 6 Jérôme Glisse 2010-07-13 16:41:21 EDT
New Package CVS Request
=======================
Package Name: mesa-demos
Short Description: mesa demos program
Owners: Jerome Glisse 
Branches: F-14
InitialCC: ajax airlied

I am likely not yet sponsored
Comment 7 Kevin Fenzi 2010-07-13 19:20:32 EDT
Yeah, I don't see you in the packager group yet. 

Please get that fixed up and then reset the fedora-cvs flag.
Comment 8 Kevin Fenzi 2010-07-15 15:51:15 EDT
I'm going to go ahead and sponsor Jerome.
Comment 9 Jérôme Glisse 2010-07-15 18:37:46 EDT
New Package CVS Request
=======================
Package Name: mesa-demos
Short Description: mesa demos program
Owners: Jerome Glisse 
Branches: F-14
InitialCC: ajax airlied
Comment 10 Kevin Fenzi 2010-07-16 13:32:46 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Adam Jackson 2010-10-28 09:32:52 EDT
Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.